#include<iostream>
#include<time.h>
#include<stdlib.h>
#include<conio.h>
#include <bits/stdc++.h>
#include<cmath>

using namespace std;

main()
{
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
	int a[100],b[100],c[100],n,s,m,k,i,j,l=0,brojac;
	cin>>n>>k;
	m=n;
	for(j=0;j<m;j++){
		cin>>b[j];
	}

	for(i=(-1)*n;i<=n;i++){
		brojac=0;
		for(j=0;j<m;j++) {
			if(b[j]==i) {
				brojac++;
			}
		}
		if(brojac>=k) {
			c[l++]=i;
			s++;
		}
	}
	n=l;
	
	cout<<s<<"\n";
	for(l=0;l<n;l++) {
		cout<<c[l]<<" ";
	}
	
	return 0;
}